---
title: 'SyntaxError: return not in function'
slug: Web/JavaScript/Reference/Errors/Bad_return_or_yield
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "return (or yield) not in function" occurs when a <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/return">return</a></code> or <code><a href="/en-US/docs/Web/JavaScript/Reference/Operators/yield">yield</a></code> statement is called outside of a <a href="/en-US/docs/Web/JavaScript/Guide/Functions">function</a>.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: 'return' statement outside of function (Edge)
SyntaxError: return not in function (Firefox)
SyntaxError: yield not in function (Firefox)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}.</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>A <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/return">return</a></code> or <code><a href="/en-US/docs/Web/JavaScript/Reference/Operators/yield">yield</a></code> statement is called outside of a <a href="/en-US/docs/Web/JavaScript/Guide/Functions">function</a>. Maybe there are missing curly brackets somewhere? The <code>return</code> and <code>yield</code> statements must be in a function, because they end (or pause and resume) function execution and specify a value to be returned to the function caller.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Missing_curly_brackets">Missing curly brackets</h3>

<pre class="brush: js example-bad">var cheer = function(score) {
  if (score === 147)
    return 'Maximum!';
  };
  if (score &gt; 100) {
    return 'Century!';
  }
}

// SyntaxError: return not in function</pre>

<p>The curly brackets look correct at a first glance, but this code snippet is missing a <code>{</code> after the first <code>if</code> statement. Correct would be:</p>

<pre class="brush: js example-good">var cheer = function(score) {
  if (score === 147) {
    return 'Maximum!';
  }
  if (score &gt; 100) {
    return 'Century!';
  }
};</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/return">return</a></code></li>
 <li><code><a href="/en-US/docs/Web/JavaScript/Reference/Operators/yield">yield</a></code></li>
</ul>
